MiniMax
MiniMax-Hailuo-2.3
MiniMax’s upgraded video model built on Hailuo 02, enhancing complex body motion, facial micro-expressions, and physical realism, with expanded style support including anime, ink wash, and game CG — better quality at the same price.
| Provider | MiniMax |
| Tasks | image-to-video · text-to-video |
| Starting from | 0.224000 USD / call · Pricing details |
POST
/
video-generation
MiniMax-Hailuo-2.3
curl --request POST \
--url https://api.linkmodel.ai/api/v1/video-generation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "MiniMax-Hailuo-2.3",
"prompt": "<string>",
"duration": 6,
"first_frame_image": "<string>",
"resolution": "768P"
}
'import requests
url = "https://api.linkmodel.ai/api/v1/video-generation"
payload = {
"model": "MiniMax-Hailuo-2.3",
"prompt": "<string>",
"duration": 6,
"first_frame_image": "<string>",
"resolution": "768P"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'MiniMax-Hailuo-2.3',
prompt: '<string>',
duration: 6,
first_frame_image: '<string>',
resolution: '768P'
})
};
fetch('https://api.linkmodel.ai/api/v1/video-generation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"data": {
"task_id": "cb6111cf-e89f-4978-b8e3-aa59c21cceff",
"order_id": "019da9cf-d1db-78e1-ac23-526774d01193",
"status": "processing",
"price": 0.074
},
"msg": "success",
"request_id": "250b66dd-e1fb-4bb6-b5f6-c668efadc35d"
}{
"code": 400,
"msg": "task_id is required",
"request_id": "96be7a7d-3e81-4916-a6b8-19b32773a693"
}{
"code": 401,
"data": {},
"msg": "invalid api key",
"request_id": "bff4c295-c7da-4507-9708-4627cb6373ba"
}{
"code": 500,
"msg": "create task failed: billing: code=100601: insufficient balance",
"request_id": "3409f6fb-fa9a-4534-b530-195b5f6f4e32"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Must be one of: MiniMax-Hailuo-2.3.
Available options:
MiniMax-Hailuo-2.3 Length must be between 1 and 2000.
Required string length:
1 - 2000Must be one of: 6, 10. Defaults to 6. Value is in s.
Conditional limits:
- 1080P resolution only supports 6 seconds duration
Available options:
6, 10 Must be one of: 1080P, 768P. Defaults to 768P.
Conditional limits:
- 10 seconds duration only supports 768P resolution
Available options:
1080P, 768P Was this page helpful?
⌘I
MiniMax-Hailuo-2.3
